<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('oms_dealers', function (Blueprint $table) {
            $table->id();
            $table->string('sale_point');
            $table->string('dealer_name');
            $table->string('word_number');
            $table->string('mobile_number')->unique();
            $table->string('institute_name');
            $table->string('image')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('oms_dealers');
    }
};
